1

I have attempted to install a current version of CMake on Ubuntu 15.10, but this has resulted in only version 3.4.1 being installed.

sudo apt-get install software-properties-common
sudo add-apt-repository ppa:george-edison55/cmake-3.x
sudo apt-get update
sudo apt-get install cmake

How could version 3.4.3 or higher be installed?

3

As 15.10 will be End of Life in a few short weeks, so you should upgrade to 16.04, which includes CMake 3.5.1 already.

1

Ubuntu 15.10 : It's fairly easy to build a new package cmake-3.5.1 : 1) Add two lines → deb-src http://[url]/ubuntu/ xenial main and deb-src http://[url]/ubuntu/ xenial-updates main to /etc/apt/sources.list , and do : sudo apt-get update

2) sudo apt-get build-dep cmake , sudo apt-get install fakeroot ... and update to a couple of 16.04 packages : Download debhelper_9.20160115ubuntu3_all.deb, dh-strip-nondeterminism_0.015-1_all.deb, libarchive-zip-perl_1.56-2_all.deb, libfile-stripnondeterminism-perl_0.015-1_all.deb , and install with sudo dpkg -i *.deb

3) apt-get will automatically download the sources and build the five cmake packages in /home/name/folder/ with this command : apt-get -b source cmake=5.3.1-1ubuntu1 .... Result : cmake_3.5.1-1ubuntu1_amd64.deb, cmake-curses-gui_3.5.1-1ubuntu1_amd64.deb, cmake-data_3.5.1-1ubuntu1_all.deb, cmake-doc_3.5.1-1ubuntu1_all.deb, cmake-qt-gui_3.5.1-1ubuntu1_amd64.deb

You can get a copy here : cmake https://drive.google.com/file/d/0B7S255p3kFXNcWkxdFNob0xkbW8/view?usp=sharing ... and cmake-data https://drive.google.com/file/d/0B7S255p3kFXNaURhR3lYY2tjaFU/view?usp=sharing

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.